// XenonConsoleDlg.h : header file
//

#include "afxwin.h"

#include <vector>
#include <string>

using namespace std;


#pragma once

#define ALL_COMMANDS_SIZE 50000

// CXenonConsoleDlg dialog
class CXenonConsoleDlg : public CDialog
{
// Construction
public:
	CXenonConsoleDlg(CWnd* pParent = NULL);	// standard constructor


	void Print(const char * pString);

// Dialog Data
	enum { IDD = IDD_XENONCONSOLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	BOOL PreTranslateMessage(MSG* pMsg);


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	BOOL OpenConnection();
	void CloseConnection();


	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy );
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedOk();

	DECLARE_MESSAGE_MAP()
public:

	CEdit m_Command;
	int m_CommandX;
	int m_CommandY;

	vector <string> m_commList;
	int m_curInList;

	CString m_consoleStr;
	CEdit m_Console;
	int m_ConsoleY;

	PDM_CONNECTION m_pdmConnection;
	PDMN_SESSION m_pdmnSession;

	char pCommands[ALL_COMMANDS_SIZE];
	char * m_pCh;

	CString m_FindBegin;
};
